{
    num: 783,
    accuracy: 100,
    basePower: 110,
    category: "Physical",
    name: "Aura Wheel",
    pp: 10,
    priority: 0,
    flags: {protect: 1, mirror: 1},
    secondary: {
        chance: 100,
        self: {
            onHit(source) {
                if (source.species.name === 'Morpeko-Hangry') {
                    this.boost({atk: 1});
                } else {
                    this.boost({spe: 1});
                }
            },
        },
    },
    onTry(source) {
        if (source.species.baseSpecies === 'Morpeko') {
            return;
        }
        this.attrLastMove('[still]');
        this.add('-fail', source, 'move: Aura Wheel');
        this.hint("Only a Pokemon whose form is Morpeko or Morpeko-Hangry can use this move.");
        return null;
    },
    onModifyType(move, pokemon) {
        if (pokemon.species.name === 'Morpeko-Hangry') {
            move.type = 'Dark';
        } else {
            move.type = 'Electric';
        }
    },
    target: "normal",
    type: "Electric",
}
